Debian Bug report logs - #551618
move from non-free to main

version graph

Package: jruby; Maintainer for jruby is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for jruby is src:jruby.

Reported by: thomas@koch.ro

Date: Sat, 9 May 2009 22:21:02 UTC

Severity: normal

Fixed in version jruby/1.5.1+dfsg4-1

Done: Torsten Werner <twerner@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sebastien Delafond <seb@debian.org>:
Bug#527977; Package jruby1.1. (Sat, 09 May 2009 22:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Collingbourne <peter@pcc.me.uk>:
New Bug report received and forwarded. Copy sent to Sebastien Delafond <seb@debian.org>. (Sat, 09 May 2009 22:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Collingbourne <peter@pcc.me.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: jruby1.1: contains non-free material
Date: Sat, 09 May 2009 23:03:05 +0100
Package: jruby1.1
Version: 1.1.6-2
Severity: serious
Justification: Policy 2.2.1


This package includes the following files:

/usr/lib/jruby1.1/lib/bsf.jar
/usr/lib/jruby1.1/lib/jruby.jar
/usr/lib/jruby1.1/lib/profile.jar

which correspond to the following files in the source tarball:

build_lib/asm-3.0.jar
build_lib/asm-analysis-3.0.jar
build_lib/asm-commons-3.0.jar
build_lib/asm-tree-3.0.jar
build_lib/asm-util-3.0.jar
build_lib/bnd-0.0.249.jar *
build_lib/bytelist-1.0.1.jar *
build_lib/constantine.jar *
build_lib/dynalang-0.3.jar *
build_lib/invokedynamic.jar *
build_lib/jcodings.jar *
build_lib/jline-0.9.93.jar
build_lib/jna.jar
build_lib/jna-posix.jar
build_lib/joda-time-1.5.1.jar
build_lib/joni.jar *
build_lib/jvyamlb-0.2.5.jar *
lib/bsf.jar

Also the following files in the source tarball are used during the
build process:

build_lib/backport-util-concurrent.jar *
build_lib/emma_ant.jar
build_lib/emma.jar
build_lib/jarjar-1.0rc8.jar
build_lib/junit.jar
build_lib/retroweaver-2.0.5.jar *
build_lib/retroweaver-rt-2.0.5.jar *

The source package does not include their source code.  This goes
against the DFSG requirement that "the program must include source
code" therefore the package at present should not be in main.
To solve this problem I recommend Depending (or a weaker dependency
if appropriate) and Build-Depending on the following packages:

libasm3-java
libjline-java
libjna-java
libjoda-time-java
libbsf-java

and Build-Depending only on the following:

junit
libemma-java
libjarjar-java

Some of the jar files (marked with *) do not have a package in the
Debian archive; for this package to remain in main the relevant source
code should be found and packaged for Debian and the new packages
should be added to Depends and/or Build-Depends.  Once this process
is complete the package's source tarball should be repackaged not to
include the above listed jar files.

bnd-0.0.249.jar does in fact include source code however as there is
no assurance that the class files were built from this source code,
this jar file should be treated in the same way.

-- System Information:
Debian Release: 5.0.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#527977; Package jruby1.1. (Mon, 11 May 2009 09:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastien Delafond <seb@debian.org>:
Extra info received and forwarded to list. (Mon, 11 May 2009 09:30:04 GMT) Full text and rfc822 format available.

Message #10 received at 527977@bugs.debian.org (full text, mbox):

From: Sebastien Delafond <seb@debian.org>
To: Peter Collingbourne <peter@pcc.me.uk>, 527977@bugs.debian.org
Subject: Re: Bug#527977: jruby1.1: contains non-free material
Date: Mon, 11 May 2009 02:29:07 -0700
tag 527977 confirmed
thanks

On May/09, Peter Collingbourne wrote:
> Package: jruby1.1
> Version: 1.1.6-2
> Severity: serious
> Justification: Policy 2.2.1
> 
> 
> This package includes the following files:
> 
> /usr/lib/jruby1.1/lib/bsf.jar
> /usr/lib/jruby1.1/lib/jruby.jar
> /usr/lib/jruby1.1/lib/profile.jar
> 
> which correspond to the following files in the source tarball:
> 
> build_lib/asm-3.0.jar
> build_lib/asm-analysis-3.0.jar
> build_lib/asm-commons-3.0.jar
> build_lib/asm-tree-3.0.jar
> build_lib/asm-util-3.0.jar
> build_lib/bnd-0.0.249.jar *
> build_lib/bytelist-1.0.1.jar *
> build_lib/constantine.jar *
> build_lib/dynalang-0.3.jar *
> build_lib/invokedynamic.jar *
> build_lib/jcodings.jar *
> build_lib/jline-0.9.93.jar
> build_lib/jna.jar
> build_lib/jna-posix.jar
> build_lib/joda-time-1.5.1.jar
> build_lib/joni.jar *
> build_lib/jvyamlb-0.2.5.jar *
> lib/bsf.jar
> 
> Also the following files in the source tarball are used during the
> build process:
> 
> build_lib/backport-util-concurrent.jar *
> build_lib/emma_ant.jar
> build_lib/emma.jar
> build_lib/jarjar-1.0rc8.jar
> build_lib/junit.jar
> build_lib/retroweaver-2.0.5.jar *
> build_lib/retroweaver-rt-2.0.5.jar *
> 
> The source package does not include their source code.  This goes
> against the DFSG requirement that "the program must include source
> code" therefore the package at present should not be in main.
> To solve this problem I recommend Depending (or a weaker dependency
> if appropriate) and Build-Depending on the following packages:
> 
> libasm3-java
> libjline-java
> libjna-java
> libjoda-time-java
> libbsf-java
> 
> and Build-Depending only on the following:
> 
> junit
> libemma-java
> libjarjar-java
> 
> Some of the jar files (marked with *) do not have a package in the
> Debian archive; for this package to remain in main the relevant source
> code should be found and packaged for Debian and the new packages
> should be added to Depends and/or Build-Depends.  Once this process
> is complete the package's source tarball should be repackaged not to
> include the above listed jar files.
> 
> bnd-0.0.249.jar does in fact include source code however as there is
> no assurance that the class files were built from this source code,
> this jar file should be treated in the same way.
> 
> -- System Information:
> Debian Release: 5.0.1
>   APT prefers testing
>   APT policy: (500, 'testing')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 2.6.29-1-amd64 (SMP w/2 CPU cores)
> Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#527977; Package jruby1.1. (Mon, 12 Oct 2009 15:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Mon, 12 Oct 2009 15:30:03 GMT) Full text and rfc822 format available.

Message #15 received at 527977@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Sebastien Delafond <seb@debian.org>, 527977@bugs.debian.org
Cc: Peter Collingbourne <peter@pcc.me.uk>
Subject: Re: Bug#527977: jruby1.1: contains non-free material
Date: Mon, 12 Oct 2009 16:26:56 +0100
* Sebastien Delafond <seb@debian.org> [2009-05-11 02:29]:
> tag 527977 confirmed
> thanks
> 
> On May/09, Peter Collingbourne wrote:
> > Package: jruby1.1
> > Version: 1.1.6-2
> > Severity: serious
> > Justification: Policy 2.2.1

jruby1.1 has been removed now.  Can this bug be closed now or does it
also apply to jruby1.3 (and should be reassigned)?


> > 
> > 
> > This package includes the following files:
> > 
> > /usr/lib/jruby1.1/lib/bsf.jar
> > /usr/lib/jruby1.1/lib/jruby.jar
> > /usr/lib/jruby1.1/lib/profile.jar
> > 
> > which correspond to the following files in the source tarball:
> > 
> > build_lib/asm-3.0.jar
> > build_lib/asm-analysis-3.0.jar
> > build_lib/asm-commons-3.0.jar
> > build_lib/asm-tree-3.0.jar
> > build_lib/asm-util-3.0.jar
> > build_lib/bnd-0.0.249.jar *
> > build_lib/bytelist-1.0.1.jar *
> > build_lib/constantine.jar *
> > build_lib/dynalang-0.3.jar *
> > build_lib/invokedynamic.jar *
> > build_lib/jcodings.jar *
> > build_lib/jline-0.9.93.jar
> > build_lib/jna.jar
> > build_lib/jna-posix.jar
> > build_lib/joda-time-1.5.1.jar
> > build_lib/joni.jar *
> > build_lib/jvyamlb-0.2.5.jar *
> > lib/bsf.jar
> > 
> > Also the following files in the source tarball are used during the
> > build process:
> > 
> > build_lib/backport-util-concurrent.jar *
> > build_lib/emma_ant.jar
> > build_lib/emma.jar
> > build_lib/jarjar-1.0rc8.jar
> > build_lib/junit.jar
> > build_lib/retroweaver-2.0.5.jar *
> > build_lib/retroweaver-rt-2.0.5.jar *
> > 
> > The source package does not include their source code.  This goes
> > against the DFSG requirement that "the program must include source
> > code" therefore the package at present should not be in main.
> > To solve this problem I recommend Depending (or a weaker dependency
> > if appropriate) and Build-Depending on the following packages:
> > 
> > libasm3-java
> > libjline-java
> > libjna-java
> > libjoda-time-java
> > libbsf-java
> > 
> > and Build-Depending only on the following:
> > 
> > junit
> > libemma-java
> > libjarjar-java
> > 
> > Some of the jar files (marked with *) do not have a package in the
> > Debian archive; for this package to remain in main the relevant source
> > code should be found and packaged for Debian and the new packages
> > should be added to Depends and/or Build-Depends.  Once this process
> > is complete the package's source tarball should be repackaged not to
> > include the above listed jar files.
> > 
> > bnd-0.0.249.jar does in fact include source code however as there is
> > no assurance that the class files were built from this source code,
> > this jar file should be treated in the same way.
> > 
> > -- System Information:
> > Debian Release: 5.0.1
> >   APT prefers testing
> >   APT policy: (500, 'testing')
> > Architecture: amd64 (x86_64)
> > 
> > Kernel: Linux 2.6.29-1-amd64 (SMP w/2 CPU cores)
> > Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
> > Shell: /bin/sh linked to /bin/bash
> > 
> > 
> 
> 
> 

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#527977; Package jruby1.1. (Mon, 12 Oct 2009 15:39:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastien Delafond <seb@debian.org>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Mon, 12 Oct 2009 15:39:54 GMT) Full text and rfc822 format available.

Message #20 received at 527977@bugs.debian.org (full text, mbox):

From: Sebastien Delafond <seb@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 527977@bugs.debian.org, Peter Collingbourne <peter@pcc.me.uk>, control@bugs.debian.org
Subject: Re: Bug#527977: jruby1.1: contains non-free material
Date: Mon, 12 Oct 2009 17:30:35 +0200
[Message part 1 (text/plain, inline)]
reassign 527977 jruby1.2
thanks

On Oct/12, Martin Michlmayr wrote:
> jruby1.1 has been removed now.  Can this bug be closed now or does it
> also apply to jruby1.3 (and should be reassigned)?

it unfortunately also applies to the both jruby1.2 and jruby (1.3, for
which I moved away from the "one source package per upstream version"
fashion).

I think I'm going to have to put the upcoming jruby in non-free, as
keeping it in main would require a lot of efforts that I can't
accomplish on my own.

Cheers,

--Seb
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'jruby1.1' to 'jruby1.2'. Request was from Sebastien Delafond <seb@debian.org> to control@bugs.debian.org. (Mon, 12 Oct 2009 15:40:02 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions jruby1.1/1.1.6-2. Request was from Sebastien Delafond <seb@debian.org> to control@bugs.debian.org. (Mon, 12 Oct 2009 15:40:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'jruby1.2 contains non-free material' from 'jruby1.1: contains non-free material' Request was from Sebastien Delafond <seb@debian.org> to control@bugs.debian.org. (Tue, 13 Oct 2009 14:12:09 GMT) Full text and rfc822 format available.

Bug 527977 cloned as bug 551618. Request was from Sebastien Delafond <seb@debian.org> to control@bugs.debian.org. (Mon, 19 Oct 2009 14:27:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'jruby1.2' to 'jruby'. Request was from Sebastien Delafond <seb@debian.org> to control@bugs.debian.org. (Mon, 19 Oct 2009 14:27:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'jruby: contains non-free material' from 'jruby1.2 contains non-free material' Request was from Sebastien Delafond <seb@debian.org> to control@bugs.debian.org. (Mon, 19 Oct 2009 14:27:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 17 Nov 2009 19:06:04 GMT) Full text and rfc822 format available.

Reply sent to Sebastien Delafond <seb@debian.org>:
You have taken responsibility. (Wed, 09 Dec 2009 23:36:13 GMT) Full text and rfc822 format available.

Notification sent to Peter Collingbourne <peter@pcc.me.uk>:
Bug acknowledged by developer. (Wed, 09 Dec 2009 23:36:13 GMT) Full text and rfc822 format available.

Message #39 received at 551618-close@bugs.debian.org (full text, mbox):

From: Sebastien Delafond <seb@debian.org>
To: 551618-close@bugs.debian.org
Subject: Bug#551618: fixed in jruby 1.3.1-2
Date: Wed, 09 Dec 2009 23:33:03 +0000
Source: jruby
Source-Version: 1.3.1-2

We believe that the bug you reported is fixed in the latest version of
jruby, which is due to be installed in the Debian FTP archive:

jruby_1.3.1-2.diff.gz
  to non-free/j/jruby/jruby_1.3.1-2.diff.gz
jruby_1.3.1-2.dsc
  to non-free/j/jruby/jruby_1.3.1-2.dsc
jruby_1.3.1-2_all.deb
  to non-free/j/jruby/jruby_1.3.1-2_all.deb
jruby_1.3.1.orig.tar.gz
  to non-free/j/jruby/jruby_1.3.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 551618@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastien Delafond <seb@debian.org> (supplier of updated jruby package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 09 Dec 2009 17:30:55 +0100
Source: jruby
Binary: jruby
Architecture: source all
Version: 1.3.1-2
Distribution: unstable
Urgency: low
Maintainer: Sebastien Delafond <seb@debian.org>
Changed-By: Sebastien Delafond <seb@debian.org>
Description: 
 jruby      - 100% pure-Java implementation of Ruby
Closes: 551618
Changes: 
 jruby (1.3.1-2) unstable; urgency=low
 .
   * Moving to non-free, with detailed debian/copyright (Closes: #551618).
   * Got rid of jruby alternatives as provided by older jruby1.x.
Checksums-Sha1: 
 5b8b14a87273056955302203e5130e8a04c661b6 1009 jruby_1.3.1-2.dsc
 e4de71e5c01f71f236b3135e07a5841784767fd8 12076705 jruby_1.3.1.orig.tar.gz
 3f5cdeb49f34e6407f290b55bf1c916a94a49731 19319 jruby_1.3.1-2.diff.gz
 0c8863ffe9dddb46ecaa01f6af2ba833b5718bb0 11237812 jruby_1.3.1-2_all.deb
Checksums-Sha256: 
 a902a5ac6a40b210ef5d74c1cf17da6928c4dbda4e1a8e4fc06335bbb6f9ca4b 1009 jruby_1.3.1-2.dsc
 9095b0bec0ee8e6cd96b72c7f2aec8a90fa429b840484d57a48d8fb760aae600 12076705 jruby_1.3.1.orig.tar.gz
 7af24501d6fef921ff0f255ccc4bc101da121bd9ed79a6449c5224f702b6bb0f 19319 jruby_1.3.1-2.diff.gz
 455c22b9c04b00d020b8e77c059d42dcb768ff27d28928a34bcf51c7eb2fdabb 11237812 jruby_1.3.1-2_all.deb
Files: 
 9e9585cdeaa0cc37c1d59311b290a6fc 1009 non-free/ruby optional jruby_1.3.1-2.dsc
 c7e2aa4a3065db445a8b3e17ecff9fe0 12076705 non-free/ruby optional jruby_1.3.1.orig.tar.gz
 bb1fa941684b3bf85c5065b47039c513 19319 non-free/ruby optional jruby_1.3.1-2.diff.gz
 86938ac75f3df8411987fe96cc2e8bcc 11237812 non-free/ruby optional jruby_1.3.1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAksf2iYACgkQiZgNKcDdyD82+gCg05cqkmo8UP1YJPyMmS3bisra
dBUAn3iBXUHB8f99GYjUPqHn+MviMCB3
=y+89
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Jan 2010 07:30:13 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Mon, 29 Mar 2010 09:57:05 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'thomas@koch.ro' from 'Peter Collingbourne <peter@pcc.me.uk>' Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Mon, 29 Mar 2010 09:57:06 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions jruby/1.3.1-2 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 29 Mar 2010 09:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Delafond <seb@debian.org>:
Bug#551618; Package jruby. (Mon, 29 Mar 2010 10:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to Sebastien Delafond <seb@debian.org>. (Mon, 29 Mar 2010 10:06:03 GMT) Full text and rfc822 format available.

Message #52 received at 551618@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 551618@bugs.debian.org
Subject: please move jruby to free
Date: Mon, 29 Mar 2010 12:04:12 +0200
Sorry for reopening this bug, but I needed some minutes to find out, why jruby 
is in non-free. So I suggest this bug should remain open as a reference for 
others.

I need jruby as a runtime dependency for hbase and it'd be a pitty if I'd need 
to move parts of hbase to contrib.

Is there a packaging repository for jruby? Could you please put the link for 
it in debian/control's VCS fields?

Best regards,

Thomas Koch, http://www.koch.ro




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#551618; Package jruby. (Mon, 29 Mar 2010 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastien Delafond <seb@debian.org>:
Extra info received and forwarded to list. (Mon, 29 Mar 2010 10:15:03 GMT) Full text and rfc822 format available.

Message #57 received at 551618@bugs.debian.org (full text, mbox):

From: Sebastien Delafond <seb@debian.org>
To: thomas@koch.ro, 551618@bugs.debian.org
Subject: Re: Bug#551618: please move jruby to free
Date: Mon, 29 Mar 2010 12:13:41 +0200
On Mar/29, Thomas Koch wrote:
> Sorry for reopening this bug, but I needed some minutes to find out, why jruby 
> is in non-free. So I suggest this bug should remain open as a reference for 
> others.
> 
> I need jruby as a runtime dependency for hbase and it'd be a pitty if I'd need 
> to move parts of hbase to contrib.
> 
> Is there a packaging repository for jruby? Could you please put the link for 
> it in debian/control's VCS fields?

There is not, but the work to be performed is not in jruby itself
anyway: it's mostly about packaging all the jars it (build-)depends
on. See bug #527977[0] for more info.

Cheers,

--Seb

[0] http://bugs.debian.org/527977




Changed Bug title to 'move from non-free to main' from 'jruby: contains non-free material' Request was from Sebastien Delafond <seb@debian.org> to control@bugs.debian.org. (Mon, 19 Apr 2010 11:33:11 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Sebastien Delafond <seb@debian.org> to control@bugs.debian.org. (Mon, 19 Apr 2010 11:33:13 GMT) Full text and rfc822 format available.

Reply sent to Torsten Werner <twerner@debian.org>:
You have taken responsibility. (Tue, 20 Sep 2011 17:57:22 GMT) Full text and rfc822 format available.

Notification sent to thomas@koch.ro:
Bug acknowledged by developer. (Tue, 20 Sep 2011 17:57:22 GMT) Full text and rfc822 format available.

Message #66 received at 551618-done@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: 551618-done@bugs.debian.org
Subject: jruby: move from non-free to main
Date: Tue, 20 Sep 2011 19:52:27 +0200
Package: jruby
Version: 1.5.1+dfsg4-1

The bug has been fixed with a recent upload.

Torsten




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Oct 2011 07:34:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:37:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.